#include<bits/stdc++.h>
using namespace std;

int main()
{
    string x, y;
    cin >> x >> y;
    int duzinaX = x.length();
    int duzinaY = y.length();
    int veca = (duzinaX > duzinaY)? duzinaX:duzinaY;
    
    if(veca == duzinaX)
        for(int i = 0; i < duzinaX - duzinaY; i++)
            y = '.' + y;
    
    if(veca == duzinaY)
        for(int i = 0; i < duzinaY - duzinaX; i++)
            x = '.' + x;

    for(int i = 0; i < veca; i++)
    {
        if(x[i] == '.')
            cout << y[i];
        else if(y[i] == '.')
            cout << x[i];
        else if(x[i] == y[i])
            cout << x[i] << x[i];
        else if(x[i] > y[i])
            cout << x[i];
        else
            cout << y[i];
    }
    return 0;
}